#!/bin/bash

####################################################################################################
#
# WARNING: DO NOT EDIT THIS FILE BY HAND AS IT WILL BE OVERWRITTEN BY SKELETOR WHEN YOU RUN UPDATE
#
####################################################################################################

set -e

PROJECT_DIR="$(realpath "$(dirname "$0")/..")"
PROJECT_NAME="$(basename "$PROJECT_DIR")"

cd "${PROJECT_DIR}"

if [[ -n "$(git status --porcelain)" ]]
then
	echo "❌ Working copy is not clean: aborting install!"
	exit 1
fi

read -ra COMMIT <<<"$(git log -1 --oneline)"

####################################################################################################
# Arch Linux
#
if [ -f /etc/arch-release ] 
then
	cd arch

	sed -i "s/pkgver=\(.*\)/pkgver=\1.${COMMIT[0]}/" PKGBUILD
	
	rm -f ./*zst
	makepkg -risc

	git checkout PKGBUILD

####################################################################################################
# Fedora
#
elif [ -f /etc/fedora-release ]
then
	VERSION="0.0.0.${COMMIT[0]}"

	cd fedora

	sed -i "s/Version:\(.*\)/Version:\1.${COMMIT[0]}/" "./${PROJECT_NAME}.spec"

	rm -f "$HOME/rpmbuild/BUILD/${PROJECT_NAME}-${VERSION}"
	ln -s "${PROJECT_DIR}" "$HOME/rpmbuild/BUILD/${PROJECT_NAME}-${VERSION}"

	rpmbuild -ba "./${PROJECT_NAME}.spec"
	
	sudo dnf install "$HOME/rpmbuild/RPMS/x86_64/${PROJECT_NAME}-${VERSION}-1.x86_64.rpm"

	git checkout "./${PROJECT_NAME}.spec"

####################################################################################################
# Unknown
#
else
	echo Cannot install: unknown Linux flavor 😥

fi
